> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mufi.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Event Creation

> Create a new event record for a project. This can be used to track events such as music festivals, conferences, or any other event that can be attended by users.



## OpenAPI

````yaml post /v1/events/create
openapi: 3.1.0
info:
  title: Wallet API
  version: 2.72.0
servers:
  - url: https://dev.api.mufi.app/
    description: Staging
security: []
paths:
  /v1/events/create:
    post:
      tags:
        - engagement
      summary: Event Creation
      description: >-
        Create a new event record for a project. This can be used to track
        events such as music festivals, conferences, or any other event that can
        be attended by users.
      requestBody:
        description: >-
          The request body must include the event name, description, reference
          ID, start date, and end date.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateEventRequest'
      responses:
        '201':
          description: Created.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EventResponse'
        '400':
          description: A bad request will contain a list of errors for invalid fields.
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: string
                required:
                  - errors
        '401':
          description: >-
            Unauthorized. The API key is missing or has expired if you are using
            a key with an expiration date that you configured when creating the
            key.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
        '403':
          description: >-
            Forbidden. The API key that you provided is not valid or does not
            exist.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
      security:
        - BearerAuth: []
components:
  schemas:
    CreateEventRequest:
      type: object
      properties:
        name:
          type: string
          minLength: 3
          maxLength: 255
          description: Name of the event. e.g. "Ultra Music Festival"
        description:
          type: string
          description: >-
            Description of the event. e.g. "The best music festival in the
            world"
        reference_id:
          $ref: '#/components/schemas/OptionalReferenceId'
        start_date:
          type: integer
          description: Unix timestamp in seconds of the start date
        end_date:
          type: integer
          description: Unix timestamp in seconds of the end date
        location:
          type: string
          minLength: 1
          maxLength: 128
          description: The location/venue name. e.g. "Madison Square Garden"
        address:
          type: string
          minLength: 1
          maxLength: 255
          description: The full address of the event location
      required:
        - name
        - start_date
        - end_date
        - location
        - address
    EventResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
        reference_id:
          $ref: '#/components/schemas/OptionalReferenceId'
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        name:
          type: string
        description:
          type:
            - string
            - 'null'
        start_date:
          type: integer
        end_date:
          type: integer
        location:
          type: string
        address:
          type: string
        project_id:
          type: string
          format: uuid
      required:
        - id
        - created_at
        - updated_at
        - name
        - start_date
        - end_date
        - location
        - address
        - project_id
    OptionalReferenceId:
      type:
        - string
        - 'null'
      description: >-
        An optional ID of the reference object in your database. This can be
        used to query events by reference object.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: A JWT Access Token obtained from Google Cloud.

````